WorkflowGen 7.19.0

Portal

  • Bug (#3091): Advanced search: Fixed an issue where some of a delegator’s requests were incorrectly returned when there were no active delegations for those specific requests.

Administration

  • Bug (#3135): Applications: Fixed an issue in the SOAP Web Service application edit form where the WSDL URL field was not saved.

Form Designer

  • Feature (#3028): Added a new server-side code editing mode. See Server-side editing mode in the WorkflowGen Administration Guide.

  • Enhancement (#3129, #3130): Enabled ASPX page async mode (Async="true") by default in the generated default.aspx upon save of the form. See ASP.NET editor in the WorkflowGen Administration Guide.
    • Requires new settings in the web.config file:
      • <add key="ValidationSettings:UnobtrusiveValidationMode" value="None" />
      • <httpRuntime targetFramework="4.6.1"/>

Remote Approval (workflow engine service)

  • Bug (#3124): Fixed a compatibility issue with the TLS 1.2 security protocol.

Web Services API (SOAP)

  • Bug (#3027): Fixed a typo in the defaultApp parameter name in the import application web method.

GraphQL v4.1.5

  • Bug (#3092): Fixed an issue where an invalid list of delegable process participants was returned when filtered by category in the user.delegableProcessParticipants query.

Webhooks v5.4.1

  • Bug (#3094): Fixed a typo in the isRequired parameter name in the AddApplicationParameter operation in the Hooks Swagger.json file.

  • Bug (#3094): Removed the invalid ADO.NET contextFormat in the Hooks Swagger.json file.

Docker

  • Enhancement (#3111): Added a new environment variable to enable serving of iisnode logs.

Notes

  • All of the Node.js modules (GraphQL v4.1.5, Webhooks v5.4.1, Auth v2.2.0, and SCIM v2.0.1) now require Node.js version 10.20.1 LTS.

Reminders

  • Oracle database is no longer supported as of WorkflowGen version 7.16.0. We recommend migrating to MS SQL Server 2017 or later.

  • Microsoft Windows Server 2008 is no longer supported as of WorkflowGen version 7.11.0. We recommend migrating to Windows Server 2016 or later.

  • Microsoft SQL Server 2008 is no longer supported as of WorkflowGen version 7.10.0. While SQL Server 2008 is still compatible with WorkflowGen, support for any performance issues or bugs resulting from using SQL Server 2008 will no longer be provided.

    For clients currently hosting WorkflowGen on a database server older than MS SQL Server 2012, we highly recommend upgrading to MS SQL Server 2017 or 2019 for the best performance.

Installation Packs

WorkflowGen 7.19.0 (Upgrade)
WorkflowGen 7.19.0 (Clean Install - PowerShell)
WorkflowGen 7.19.0 (Clean Install - manual)
WorkflowGen.My

Documentation

WorkflowGen 7.19.0 Upgrade Guide: English - Français
WorkflowGen 7.19 PowerShell Installation: English - Français
WorkflowGen 7.19 Manual Installation: English - Français
WorkflowGen 7.19 Technical Guide: English - Français
WorkflowGen 7.19 Administration Guide: English - Français
WorkflowGen 7.19 User Portal Guide: English - Français
WorkflowGen 7.19 Integration Guide: English
WorkflowGen for Azure: English - Français
WorkflowGen for Docker: English - Français
WorkflowGen documentation: English - Français